gtksourceviewmm: Gsv::CompletionItem Class Reference

gtksourceviewmm 2.91.9

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Related Functions

# Gsv::CompletionItem Class Reference

CompletionItem. More...

`#include <gtksourceviewmm/completionitem.h>`

Inheritance diagram for Gsv::CompletionItem:
[legend]

List of all members.

## Public Member Functions
GtkSourceCompletionItem* | gobj ()
| Provides access to the underlying C GObject.
const GtkSourceCompletionItem* | gobj () const
| Provides access to the underlying C GObject.
GtkSourceCompletionItem* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::PropertyProxy < Glib::RefPtr< Gdk::Pixbuf > > | property_icon ()
| Icon to be shown for this item.
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Gdk::Pixbuf > > | property_icon () const
| Icon to be shown for this item.
Glib::PropertyProxy < Glib::ustring > | property_info ()
| Info to be shown for this item.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_info () const
| Info to be shown for this item.
Glib::PropertyProxy < Glib::ustring > | property_label ()
| Label to be shown for this item.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_label () const
| Label to be shown for this item.
Glib::PropertyProxy < Glib::ustring > | property_markup ()
| Markup to be shown for this item.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_markup () const
| Markup to be shown for this item.
Glib::PropertyProxy < Glib::ustring > | property_text ()
| Item text.
Glib::PropertyProxy_ReadOnly < Glib::ustring > | property_text () const
| Item text.
## Static Public Member Functions
static Glib::RefPtr < CompletionItem > | create (const Glib::ustring& label, const Glib::ustring& text, const Glib::RefPtr< const Gdk::Pixbuf >& icon, const Glib::ustring& info)
| Create a new CompletionItem with label label, icon icon and extra information info.
static Glib::RefPtr < CompletionItem > | create (const Markup& markup, const Glib::ustring& text, const Glib::RefPtr< const Gdk::Pixbuf >& icon, const Glib::ustring& info)
| Create a new CompletionItem with markup label markup, icon icon and extra information info.
static Glib::RefPtr < CompletionItem > | create (const Glib::ustring& label, const Glib::ustring& text, const Gtk::StockID& stock, const Glib::ustring& info)
| Creates a new CompletionItem from a stock item.
## Related Functions
(Note that these are not member functions.)
Glib::RefPtr< Gsv::CompletionItem > | wrap (GtkSourceCompletionItem* object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

CompletionItem.

Since gtksourceviewmm 2.10:

## Member Function Documentation

static Glib::RefPtr<CompletionItem> Gsv::CompletionItem::create | ( | const Glib::ustring & | label,
|  | const Glib::ustring & | text,
|  | const Glib::RefPtr< const Gdk::Pixbuf > & | icon,
|  | const Glib::ustring & | info
| ) |  | `[static]`

Create a new CompletionItem with label label, icon icon and extra information info.

; If icon is empty, then there will be no icon shown. If info is empty, then no extra information will be available.

Parameters:

  label | The item label.
  text | The item text.
  icon | The item icon.
  info | The item extra information.

Returns:
  New CompletionInfo.

Since gtksourceviewmm 2.10:

static Glib::RefPtr<CompletionItem> Gsv::CompletionItem::create | ( | const Markup& | markup,
|  | const Glib::ustring & | text,
|  | const Glib::RefPtr< const Gdk::Pixbuf > & | icon,
|  | const Glib::ustring & | info
| ) |  | `[static]`

Create a new CompletionItem with markup label markup, icon icon and extra information info.

If icon is empty, then there will be no icon shown. If info is empty, then no extra information will be available.

Parameters:

  markup | The item markup label.
  text | The item text.
  icon | The item icon.
  info | The item extra information.

Returns:
  New CompletionInfo.

Since gtksourceviewmm 2.10:

static Glib::RefPtr<CompletionItem> Gsv::CompletionItem::create | ( | const Glib::ustring & | label,
|  | const Glib::ustring & | text,
|  | const Gtk::StockID & | stock,
|  | const Glib::ustring & | info
| ) |  | `[static]`

Creates a new CompletionItem from a stock item.

If label is empty, then stock label will be used.

Parameters:

  label | The item label.
  text | The item text.
  stock | The stock icon.
  info | The item extra information.

Returns:
  New CompletionInfo.

Since gtksourceviewmm 2.10:

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Gdk::Pixbuf> > Gsv::CompletionItem::property_icon | ( |  | ) | const

Icon to be shown for this item.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy< Glib::RefPtr<Gdk::Pixbuf> > Gsv::CompletionItem::property_icon | ( |  | ) |

Icon to be shown for this item.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gsv::CompletionItem::property_info | ( |  | ) |

Info to be shown for this item.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gsv::CompletionItem::property_info | ( |  | ) | const

Info to be shown for this item.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gsv::CompletionItem::property_label | ( |  | ) |

Label to be shown for this item.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gsv::CompletionItem::property_label | ( |  | ) | const

Label to be shown for this item.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gsv::CompletionItem::property_markup | ( |  | ) |

Markup to be shown for this item.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gsv::CompletionItem::property_markup | ( |  | ) | const

Markup to be shown for this item.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy_ReadOnly<Glib::ustring> Gsv::CompletionItem::property_text | ( |  | ) | const

Item text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

Glib::PropertyProxy<Glib::ustring> Gsv::CompletionItem::property_text | ( |  | ) |

Item text.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns:
  A PropertyProxy that allows you to get or set the property of the value, or receive notification when the value of the property changes.

## Friends And Related Function Documentation

Glib::RefPtr< Gsv::CompletionItem > wrap | ( | GtkSourceCompletionItem * | object,
|  | bool | take_copy = `false`
| ) |  | `[related]`

A Glib::wrap() method for this object.

Parameters:

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns:
  A C++ instance that wraps this C instance.